### Constructor

# FwupdPlugin HidDevice new

since: 1.4.0

#### Declaration [src]

    FuHidDevice*
    fu_hid_device_new (
      GUsbDevice* usb_device
    )

#### Description [src]

Creates a new HID device.

Available since: 1.4.0

#### Parameters

`usb_device`

  Type: `GUsbDevice`

  A USB device.

  The data is owned by the caller of the function.

#### Return value

Type: `FuHidDevice`

A `FuHidDevice`.

The caller of the function takes ownership of the data, and is responsible for freeing it.